Skip to main content
GET
/
user
Get authenticated user
curl --request GET \
  --url https://api.qlty.sh/user \
  --header 'Authorization: Bearer <token>'
{
  "id": "e34cb947-2b6f-47df-ae0c-776e17f3fdbf",
  "login": "alice",
  "name": "Alice",
  "email": "alice@example.com",
  "avatarUrl": "https://assets.github.com/alice.png",
  "providerUrl": "https://github.com/alice",
  "createdAt": "2023-01-01T00:00:00Z",
  "updatedAt": "2023-01-01T00:00:00Z"
}

Authorizations

Authorization
string
header
required

Generate an API token at https://qlty.sh/user/settings/tokens

Response

Successful response

id
string
required

The UUID of the User

login
string
required

The username of the User

name
string
required

The full name of the User

email
string
required

The email address of the User

avatarUrl
string
required

URL to the User's profile picture

providerUrl
string
required

URL to the User's profile on the authentication provider (e.g., GitHub profile URL)

createdAt
string<date-time>
required

Timestamp when the User was created

updatedAt
string<date-time>
required

Timestamp when the User was last updated